Insights

Get a list of Insights Reports

GET /api/{spaceId}/insights/reports

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports.

Returns a paginated list of the Insights Reports in the supplied Octopus Deploy Space.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — Success

  • Id string
    Gets or sets a unique identifier for this resource.
  • ItemType string
  • Items array of object
    • AllTenants boolean
    • ChannelIds array of string
    • Description string
    • EnvironmentGroups array of object
    • IconColor string
    • IconId string
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.
    • ProjectGroupIds array of string
    • ProjectIds array of string
    • SpaceId string
    • TenantIds array of string
    • TenantMode enum
      Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
    • TenantTags array of string
    • TimeZone string
  • ItemsPerPage integer
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LastPageNumber integer
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • NumberOfPages integer
  • TotalResults integer

Example Response

JSON
{
  "Id": "string",
  "ItemType": "string",
  "Items": [
    {
      "AllTenants": true,
      "ChannelIds": [
        "string"
      ],
      "Description": "string",
      "EnvironmentGroups": [
        {}
      ],
      "IconColor": "string",
      "IconId": "string",
      "Id": "string",
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string",
      "ProjectGroupIds": [
        "string"
      ],
      "ProjectIds": [
        "string"
      ],
      "SpaceId": "string",
      "TenantIds": [
        "string"
      ],
      "TenantMode": "Untenanted",
      "TenantTags": [
        "string"
      ],
      "TimeZone": "string"
    }
  ],
  "ItemsPerPage": 0,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LastPageNumber": 0,
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "NumberOfPages": 0,
  "TotalResults": 0
}

Create an Insights Report

POST /api/{spaceId}/insights/reports

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports.

Creates a new Insights Report.

Path Parameters

  • spaceId string (required)

Request Body

  • AllTenants boolean
    If true, all tenants in the space will be included in the report.
  • ChannelIds array of string (required)
    The channels for the report.
  • Description string
    The description for the report.
  • EnvironmentGroups array of object (required)
    The environment groups for the report.
    • Environments array of string (required)
    • Name string (required)
      Minimum length 1.
  • Name string (required)
    The name of the report. Minimum length 1. Maximum length 200.
  • ProjectGroupIds array of string (required)
    The project groups for the report.
  • ProjectIds array of string (required)
    The projects for the report.
  • SpaceId string (required)
  • TenantIds array of string (required)
    The tenants for the report.
  • TenantMode enum
    The kind of deployments that will be included in this report.
    Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
  • TenantTags array of string (required)
    The tenant tags the report.
  • TimeZone string (required)
    The timezone of the report.

Response

200 — Success

  • AllTenants boolean
  • ChannelIds array of string
  • Description string
  • EnvironmentGroups array of object
    • Environments array of string
    • Name string
      Minimum length 1.
  • IconColor string
  • IconId string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.
  • ProjectGroupIds array of string
  • ProjectIds array of string
  • SpaceId string
  • TenantIds array of string
  • TenantMode enum
    Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
  • TenantTags array of string
  • TimeZone string

Example Request

JSON
{
  "AllTenants": true,
  "ChannelIds": [
    "string"
  ],
  "Description": "string",
  "EnvironmentGroups": [
    {
      "Environments": [
        "string"
      ],
      "Name": "string"
    }
  ],
  "Name": "string",
  "ProjectGroupIds": [
    "string"
  ],
  "ProjectIds": [
    "string"
  ],
  "SpaceId": "string",
  "TenantIds": [
    "string"
  ],
  "TenantMode": "Untenanted",
  "TenantTags": [
    "string"
  ],
  "TimeZone": "string"
}

Example Response

JSON
{
  "AllTenants": true,
  "ChannelIds": [
    "string"
  ],
  "Description": "string",
  "EnvironmentGroups": [
    {
      "Environments": [
        "string"
      ],
      "Name": "string"
    }
  ],
  "IconColor": "string",
  "IconId": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "ProjectGroupIds": [
    "string"
  ],
  "ProjectIds": [
    "string"
  ],
  "SpaceId": "string",
  "TenantIds": [
    "string"
  ],
  "TenantMode": "Untenanted",
  "TenantTags": [
    "string"
  ],
  "TimeZone": "string"
}

Create an Insights Report

POST /api/{spaceId}/insights/reports/v1

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/v1.

Creates a new Insights Report.

Path Parameters

  • spaceId string (required)

Request Body

  • AllTenants boolean
    If true, all tenants in the space will be included in the report.
  • ChannelIds array of string (required)
    The channels for the report.
  • Description string
    The description for the report.
  • EnvironmentGroups array of object (required)
    The environment groups for the report.
    • Environments array of string (required)
    • Name string (required)
      Minimum length 1.
  • Name string (required)
    The name of the report. Minimum length 1. Maximum length 200.
  • ProjectGroupIds array of string (required)
    The project groups for the report.
  • ProjectIds array of string (required)
    The projects for the report.
  • SpaceId string (required)
  • TenantIds array of string (required)
    The tenants for the report.
  • TenantMode enum
    The kind of deployments that will be included in this report.
    Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
  • TenantTags array of string (required)
    The tenant tags the report.
  • TimeZone string (required)
    The timezone of the report.

Response

200 — Success

  • Report object
    • AllTenants boolean
    • ChannelIds array of string
    • Description string
    • EnvironmentGroups array of object
    • IconColor string
    • IconId string
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.
    • ProjectGroupIds array of string
    • ProjectIds array of string
    • SpaceId string
    • TenantIds array of string
    • TenantMode enum
      Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
    • TenantTags array of string
    • TimeZone string

Example Request

JSON
{
  "AllTenants": true,
  "ChannelIds": [
    "string"
  ],
  "Description": "string",
  "EnvironmentGroups": [
    {
      "Environments": [
        "string"
      ],
      "Name": "string"
    }
  ],
  "Name": "string",
  "ProjectGroupIds": [
    "string"
  ],
  "ProjectIds": [
    "string"
  ],
  "SpaceId": "string",
  "TenantIds": [
    "string"
  ],
  "TenantMode": "Untenanted",
  "TenantTags": [
    "string"
  ],
  "TimeZone": "string"
}

Example Response

JSON
{
  "Report": {
    "AllTenants": true,
    "ChannelIds": [
      "string"
    ],
    "Description": "string",
    "EnvironmentGroups": [
      {
        "Environments": [
          "string"
        ],
        "Name": "string"
      }
    ],
    "IconColor": "string",
    "IconId": "string",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "ProjectGroupIds": [
      "string"
    ],
    "ProjectIds": [
      "string"
    ],
    "SpaceId": "string",
    "TenantIds": [
      "string"
    ],
    "TenantMode": "Untenanted",
    "TenantTags": [
      "string"
    ],
    "TimeZone": "string"
  }
}

GET /api/{spaceId}/insights/reports/

GET /api/{spaceId}/insights/reports/{id}

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{id}.

Path Parameters

  • id string (required)
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

  • AllTenants boolean
  • ChannelIds array of string
  • Description string
  • EnvironmentGroups array of object
    • Environments array of string
    • Name string
      Minimum length 1.
  • IconColor string
  • IconId string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.
  • ProjectGroupIds array of string
  • ProjectIds array of string
  • SpaceId string
  • TenantIds array of string
  • TenantMode enum
    Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
  • TenantTags array of string
  • TimeZone string

Example Response

JSON
{
  "AllTenants": true,
  "ChannelIds": [
    "string"
  ],
  "Description": "string",
  "EnvironmentGroups": [
    {
      "Environments": [
        "string"
      ],
      "Name": "string"
    }
  ],
  "IconColor": "string",
  "IconId": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "ProjectGroupIds": [
    "string"
  ],
  "ProjectIds": [
    "string"
  ],
  "SpaceId": "string",
  "TenantIds": [
    "string"
  ],
  "TenantMode": "Untenanted",
  "TenantTags": [
    "string"
  ],
  "TimeZone": "string"
}

Update an existing Insights Report

PUT /api/{spaceId}/insights/reports/{id}

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{id}.

Updates an existing Insights Report

Path Parameters

  • id string (required)
    The Id of the Insights Report.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • AllTenants boolean (required)
    If true, all tenants in the space will be included in the report.
  • ChannelIds array of string (required)
    The channels for the report.
  • Description string
    The description for the report.
  • EnvironmentGroups array of object (required)
    The environment groups for the report.
    • Environments array of string (required)
    • Name string (required)
      Minimum length 1.
  • Id string (required)
    The Id of the Insights Report.
  • Name string (required)
    The name of the report. Minimum length 1. Maximum length 200.
  • ProjectGroupIds array of string (required)
    The project groups for the report.
  • ProjectIds array of string (required)
    The projects for the report.
  • SpaceId string (required)
    The ID of the space containing the resource(s).
  • TenantIds array of string (required)
    The tenants for the report.
  • TenantMode enum (required)
    The kind of deployments that will be included in this report.
    Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
  • TenantTags array of string (required)
    The tenant tags for the report.
  • TimeZone string (required)
    The timezone of the report.

Response

200 — Success

  • AllTenants boolean
  • ChannelIds array of string
  • Description string
  • EnvironmentGroups array of object
    • Environments array of string
    • Name string
      Minimum length 1.
  • IconColor string
  • IconId string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string
    Minimum length 1.
  • ProjectGroupIds array of string
  • ProjectIds array of string
  • SpaceId string
  • TenantIds array of string
  • TenantMode enum
    Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
  • TenantTags array of string
  • TimeZone string

Example Request

JSON
{
  "AllTenants": true,
  "ChannelIds": [
    "string"
  ],
  "Description": "string",
  "EnvironmentGroups": [
    {
      "Environments": [
        "string"
      ],
      "Name": "string"
    }
  ],
  "Id": "string",
  "Name": "string",
  "ProjectGroupIds": [
    "string"
  ],
  "ProjectIds": [
    "string"
  ],
  "SpaceId": "string",
  "TenantIds": [
    "string"
  ],
  "TenantMode": "Untenanted",
  "TenantTags": [
    "string"
  ],
  "TimeZone": "string"
}

Example Response

JSON
{
  "AllTenants": true,
  "ChannelIds": [
    "string"
  ],
  "Description": "string",
  "EnvironmentGroups": [
    {
      "Environments": [
        "string"
      ],
      "Name": "string"
    }
  ],
  "IconColor": "string",
  "IconId": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Name": "string",
  "ProjectGroupIds": [
    "string"
  ],
  "ProjectIds": [
    "string"
  ],
  "SpaceId": "string",
  "TenantIds": [
    "string"
  ],
  "TenantMode": "Untenanted",
  "TenantTags": [
    "string"
  ],
  "TimeZone": "string"
}

Delete an Insights Report by ID

DELETE /api/{spaceId}/insights/reports/{id}

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{id}.

Deletes an existing Insights Report.

Path Parameters

  • id string (required)
    ID of the Insights Report to delete.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

GET /api/{spaceId}/insights/reports/{id}/v1

GET /api/{spaceId}/insights/reports/{id}/v1

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{id}/v1.

Path Parameters

  • id string (required)
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

  • Report object
    • AllTenants boolean
    • ChannelIds array of string
    • Description string
    • EnvironmentGroups array of object
    • IconColor string
    • IconId string
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.
    • ProjectGroupIds array of string
    • ProjectIds array of string
    • SpaceId string
    • TenantIds array of string
    • TenantMode enum
      Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
    • TenantTags array of string
    • TimeZone string

Example Response

JSON
{
  "Report": {
    "AllTenants": true,
    "ChannelIds": [
      "string"
    ],
    "Description": "string",
    "EnvironmentGroups": [
      {
        "Environments": [
          "string"
        ],
        "Name": "string"
      }
    ],
    "IconColor": "string",
    "IconId": "string",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "ProjectGroupIds": [
      "string"
    ],
    "ProjectIds": [
      "string"
    ],
    "SpaceId": "string",
    "TenantIds": [
      "string"
    ],
    "TenantMode": "Untenanted",
    "TenantTags": [
      "string"
    ],
    "TimeZone": "string"
  }
}

Update an existing Insights Report

PUT /api/{spaceId}/insights/reports/{id}/v1

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{id}/v1.

Updates an existing Insights Report

Path Parameters

  • id string (required)
    The Id of the Insights Report.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • AllTenants boolean (required)
    If true, all tenants in the space will be included in the report.
  • ChannelIds array of string (required)
    The channels for the report.
  • Description string
    The description for the report.
  • EnvironmentGroups array of object (required)
    The environment groups for the report.
    • Environments array of string (required)
    • Name string (required)
      Minimum length 1.
  • Id string (required)
    The Id of the Insights Report.
  • Name string (required)
    The name of the report. Minimum length 1. Maximum length 200.
  • ProjectGroupIds array of string (required)
    The project groups for the report.
  • ProjectIds array of string (required)
    The projects for the report.
  • SpaceId string (required)
    The ID of the space containing the resource(s).
  • TenantIds array of string (required)
    The tenants for the report.
  • TenantMode enum (required)
    The kind of deployments that will be included in this report.
    Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
  • TenantTags array of string (required)
    The tenant tags for the report.
  • TimeZone string (required)
    The timezone of the report.

Response

200 — Success

  • Report object
    • AllTenants boolean
    • ChannelIds array of string
    • Description string
    • EnvironmentGroups array of object
    • IconColor string
    • IconId string
    • Id string
      Gets or sets a unique identifier for this resource.
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string
      Minimum length 1.
    • ProjectGroupIds array of string
    • ProjectIds array of string
    • SpaceId string
    • TenantIds array of string
    • TenantMode enum
      Allowed values: Untenanted, TenantedAndUntenanted, Tenanted.
    • TenantTags array of string
    • TimeZone string

Example Request

JSON
{
  "AllTenants": true,
  "ChannelIds": [
    "string"
  ],
  "Description": "string",
  "EnvironmentGroups": [
    {
      "Environments": [
        "string"
      ],
      "Name": "string"
    }
  ],
  "Id": "string",
  "Name": "string",
  "ProjectGroupIds": [
    "string"
  ],
  "ProjectIds": [
    "string"
  ],
  "SpaceId": "string",
  "TenantIds": [
    "string"
  ],
  "TenantMode": "Untenanted",
  "TenantTags": [
    "string"
  ],
  "TimeZone": "string"
}

Example Response

JSON
{
  "Report": {
    "AllTenants": true,
    "ChannelIds": [
      "string"
    ],
    "Description": "string",
    "EnvironmentGroups": [
      {
        "Environments": [
          "string"
        ],
        "Name": "string"
      }
    ],
    "IconColor": "string",
    "IconId": "string",
    "Id": "string",
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string",
    "ProjectGroupIds": [
      "string"
    ],
    "ProjectIds": [
      "string"
    ],
    "SpaceId": "string",
    "TenantIds": [
      "string"
    ],
    "TenantMode": "Untenanted",
    "TenantTags": [
      "string"
    ],
    "TimeZone": "string"
  }
}

Delete an Insights Report by ID

DELETE /api/{spaceId}/insights/reports/{id}/v1

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{id}/v1.

Deletes an existing Insights Report.

Path Parameters

  • id string (required)
    ID of the Insights Report to delete.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

Example Response

JSON
{}

Request Insights Deployments for a Report

GET /api/{spaceId}/insights/reports/{reportId}/deployments

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{reportId}/deployments, /api/spaces/{spaceIdentifier}/insights/reports/{reportId}/deployments/csv, /api/{spaceId}/insights/reports/{reportId}/deployments/csv.

Path Parameters

  • reportId string (required)
    ID of the Insights Report.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested Insights Deployments

  • ReportName string
    Minimum length 1.
  • Streams array of object
    • ChannelId string
    • ChannelName string
    • Deployments array of object
    • EnvironmentId string
    • EnvironmentName string
    • ProjectId string
    • ProjectName string
    • TenantId string
    • TenantName string

Example Response

JSON
{
  "ReportName": "string",
  "Streams": [
    {
      "ChannelId": "string",
      "ChannelName": "string",
      "Deployments": [
        {}
      ],
      "EnvironmentId": "string",
      "EnvironmentName": "string",
      "ProjectId": "string",
      "ProjectName": "string",
      "TenantId": "string",
      "TenantName": "string"
    }
  ]
}

GET /api/{spaceId}/insights/reports/{reportId}/logo

Also reachable at /api/insights/reports/{reportId}/logo, /api/spaces/{spaceIdentifier}/insights/reports/{reportId}/logo.

Path Parameters

  • reportId string (required)
  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Success

Example Response

JSON
"string"

Update the logo associated with the report

POST /api/{spaceId}/insights/reports/{reportId}/logo

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{reportId}/logo.

Path Parameters

  • reportId string (required)
    The ID of the Insights report.
  • spaceId string (required)

Response

200 — Success

Modify the logo of an insights report to be a specified icon

POST /api/{spaceId}/insights/reports/{reportId}/logo/icon

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{reportId}/logo/icon.

Path Parameters

  • reportId string (required)
    The ID of the insights report to change logo for.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • IconColor string (required)
    Color of the icon in hex format. Example: ‘#0D80D8’. Minimum length 1. Must match ^#[0-9a-fA-F]{6}$.
  • IconId string (required)
    ID of the icon. Example: ‘octopus-deploy’. Minimum length 1.
  • ReportId string (required)
    The ID of the insights report to change logo for.
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the Insights Report Icon has been modified

Example Request

JSON
{
  "IconColor": "string",
  "IconId": "string",
  "ReportId": "string",
  "SpaceId": "string"
}

Example Response

JSON
{}

Modify the logo of an insights report to be a specified icon

POST /api/{spaceId}/insights/reports/{reportId}/logo/icon/v1

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{reportId}/logo/icon/v1.

Path Parameters

  • reportId string (required)
    The ID of the insights report to change logo for.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Request Body

  • IconColor string (required)
    Color of the icon in hex format. Example: ‘#0D80D8’. Minimum length 1. Must match ^#[0-9a-fA-F]{6}$.
  • IconId string (required)
    ID of the icon. Example: ‘octopus-deploy’. Minimum length 1.
  • ReportId string (required)
    The ID of the insights report to change logo for.
  • SpaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — Confirmation that the Insights Report Icon has been modified

Example Request

JSON
{
  "IconColor": "string",
  "IconId": "string",
  "ReportId": "string",
  "SpaceId": "string"
}

Example Response

JSON
{}

Get Insights metrics series for the Insights Report

GET /api/{spaceId}/insights/reports/{reportId}/metrics

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{reportId}/metrics.

Returns the aggregated insights metrics for this insights report for the chosen granularity and time period grouped by the chosen split

Path Parameters

  • reportId string (required)
    ID of the Insights Report.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • granularity enum
    The data grouping granularity, defaults to weekly if not supplied.
    Allowed values: Monthly, Weekly, Daily.
  • split enum (required)
    How to split the metrics.
    Allowed values: None, Project, ProjectGroup, Environment, EnvironmentGroup, Tenant, TenantTagSet.
  • tenantTagSetId string
    If TenantTagSet is chosen for Split, this is required, otherwise it is ignored. It is the tag set to split on.
  • timeRange enum
    The time period to get data for, defaults to last quarter if not supplied.
    Allowed values: LastMonth, LastQuarter, LastYear.

Response

200 — Success

  • Series array of object
    • Intervals array of object
    • Name string
      Minimum length 1.

Example Response

JSON
{
  "Series": [
    {
      "Intervals": [
        {}
      ],
      "Name": "string"
    }
  ]
}

Get Insights metrics series for the Insights Report

GET /api/{spaceId}/insights/reports/{reportId}/metrics/v1

Also reachable at /api/spaces/{spaceIdentifier}/insights/reports/{reportId}/metrics/v1.

Returns the aggregated insights metrics for this insights report for the chosen granularity and time period grouped by the chosen split

Path Parameters

  • reportId string (required)
    ID of the Insights Report.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • granularity enum
    The data grouping granularity, defaults to weekly if not supplied.
    Allowed values: Monthly, Weekly, Daily.
  • split enum (required)
    How to split the metrics.
    Allowed values: None, Project, ProjectGroup, Environment, EnvironmentGroup, Tenant, TenantTagSet.
  • tenantTagSetId string
    If TenantTagSet is chosen for Split, this is required, otherwise it is ignored. It is the tag set to split on.
  • timeRange enum
    The time period to get data for, defaults to last quarter if not supplied.
    Allowed values: LastMonth, LastQuarter, LastYear.

Response

200 — Success

  • Series array of object
    • Intervals array of object
    • Name string
      Minimum length 1.

Example Response

JSON
{
  "Series": [
    {
      "Intervals": [
        {}
      ],
      "Name": "string"
    }
  ]
}

Get Insights Deployments for a Project

GET /api/{spaceId}/projects/{projectId}/insights/deployments

Also reachable at /api/spaces/{spaceIdentifier}/projects/{projectId}/insights/deployments, /api/spaces/{spaceIdentifier}/projects/{projectId}/insights/deployments/csv, /api/{spaceId}/projects/{projectId}/insights/deployments/csv.

Path Parameters

  • projectId string (required)
    ID of the Project.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • channelId string (required)
    ID of the Channel.
  • environmentId string (required)
    ID of the Environment.
  • tenantFilter enum
    How to filter for tenants, defaults to untenanted and all tenants if not supplied.
    Allowed values: UntenantedAndAllTenants, Untenanted, SingleTenant.
  • tenantId string
    ID of the Tenant.

Response

200 — The requested Insights Deployments

  • ProjectName string
    Minimum length 1.
  • Streams array of object
    • ChannelId string
    • ChannelName string
    • Deployments array of object
    • EnvironmentId string
    • EnvironmentName string
    • ProjectId string
    • ProjectName string
    • TenantId string
    • TenantName string

Example Response

JSON
{
  "ProjectName": "string",
  "Streams": [
    {
      "ChannelId": "string",
      "ChannelName": "string",
      "Deployments": [
        {}
      ],
      "EnvironmentId": "string",
      "EnvironmentName": "string",
      "ProjectId": "string",
      "ProjectName": "string",
      "TenantId": "string",
      "TenantName": "string"
    }
  ]
}

Get Insights metrics series for the project

GET /api/{spaceId}/projects/{projectId}/insights/metrics

Also reachable at /api/spaces/{spaceIdentifier}/projects/{projectId}/insights/metrics.

Returns the aggregated insights metrics for this project for the chosen granularity and time period

Path Parameters

  • projectId string (required)
    ID of the Project.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • channelId string (required)
    ID of the Channel.
  • environmentId string (required)
    ID of the Environment.
  • granularity enum
    The data grouping granularity, defaults to weekly if not supplied.
    Allowed values: Monthly, Weekly, Daily.
  • tenantFilter enum
    How to filter for tenants, defaults to untenanted and all tenants (combined) if not supplied.
    Allowed values: UntenantedAndAllTenants, Untenanted, SingleTenant.
  • tenantId string
    ID of the Tenant.
  • timeRange enum
    The time period to get data for, defaults to last quarter if not supplied.
    Allowed values: LastMonth, LastQuarter, LastYear.
  • timeZone string
    The IANA timezone to use when grouping data, defaults to UTC if not supplied.

Response

200 — Success

  • Series array of object
    • Intervals array of object
    • Name string
      Minimum length 1.

Example Response

JSON
{
  "Series": [
    {
      "Intervals": [
        {}
      ],
      "Name": "string"
    }
  ]
}

Get Insights metrics series for the project

GET /api/{spaceId}/projects/{projectId}/insights/metrics/v1

Also reachable at /api/spaces/{spaceIdentifier}/projects/{projectId}/insights/metrics/v1.

Returns the aggregated insights metrics for this project for the chosen granularity and time period

Path Parameters

  • projectId string (required)
    ID of the Project.
  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • channelId string (required)
    ID of the Channel.
  • environmentId string (required)
    ID of the Environment.
  • granularity enum
    The data grouping granularity, defaults to weekly if not supplied.
    Allowed values: Monthly, Weekly, Daily.
  • tenantFilter enum
    How to filter for tenants, defaults to untenanted and all tenants (combined) if not supplied.
    Allowed values: UntenantedAndAllTenants, Untenanted, SingleTenant.
  • tenantId string
    ID of the Tenant.
  • timeRange enum
    The time period to get data for, defaults to last quarter if not supplied.
    Allowed values: LastMonth, LastQuarter, LastYear.
  • timeZone string
    The IANA timezone to use when grouping data, defaults to UTC if not supplied.

Response

200 — Success

  • Series array of object
    • Intervals array of object
    • Name string
      Minimum length 1.

Example Response

JSON
{
  "Series": [
    {
      "Intervals": [
        {}
      ],
      "Name": "string"
    }
  ]
}